set echo on
--
select o.OBJECT_NAME TABLE_NAME, O.SUBOBJECT_NAME PARTITION_NAME, V.COUNT COUNT
  from (
         SELECT P.DOBJ DOBJ, COUNT (*) COUNT
           FROM (
                  SELECT DBMS_ROWID.ROWID_OBJECT(ROWID) DOBJ
                    FROM PURCHASEORDER
                ) P
          GROUP BY P.DOBJ
       ) V, USER_OBJECTS O
 WHERE O.DATA_OBJECT_ID =  V.DOBJ
/

quit
